Bug 1291626 - [ppc64le][REST API] Failed to update vm pool size
[ppc64le][REST API] Failed to update vm pool size
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.0.3
ppc64le Unspecified
unspecified Severity high (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Martin Betak
Ilanit Stein
:
Depends On:
Blocks: RHEV3.6PPC
  Show dependency treegraph
 
Reported: 2015-12-15 05:14 EST by Israel Pinto
Modified: 2016-02-21 06:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:05:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tjelinek: ovirt‑3.6.z?
rule-engine: planning_ack?
tjelinek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
run_log_art (331.56 KB, application/zip)
2015-12-15 05:15 EST, Israel Pinto
no flags Details
engine_log (462.99 KB, application/x-bzip)
2015-12-15 05:16 EST, Israel Pinto
no flags Details
hosts_logs (181.26 KB, application/x-bzip)
2015-12-15 05:17 EST, Israel Pinto
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50595 master MERGED backend: Fix sound device handling on ppc desktops 2015-12-17 11:02 EST
oVirt gerrit 50676 ovirt-engine-3.6 MERGED backend: Fix sound device handling on ppc desktops 2015-12-22 03:35 EST

  None (edit)
Description Israel Pinto 2015-12-15 05:14:54 EST
Description of problem:
As part of VM pool testing we create pool from template and update his size.
The update failed via REST API.  
Response from REST: 
Cannot edit VM-Pool. Sound device is not supported on 'ppc64' architecture.

The sound device is not supported in PPC see bz 1253261

Version-Release number of selected component (if applicable):
RHEVM Version: 3.6.1.3-0.1.el6 
vdsm-4.17.13-1.el7ev
libvirt-1.2.17-13.el7_2.2

How reproducible:
All the time


Steps to Reproduce (All via REST):
PPC setup.
1. Create VM pool from template with 2 VMs
2. Update VM pool size to 3 (Increase with 1 VM)

Additional info:
Update size request:
2015-12-15 11:15:04,593 - MainThread - vmpools - DEBUG - PUT request content is --  url:/api/vmpools/00203195-654c-4fa9-8aff-af20f655f578 body:<vmpool id="00203195-654c-4fa9-8aff-af20f655f578">
    <size>3</size>
    <cluster href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588" id="2d5db03a-7a36-490b-84b6-a0722411e588">
        <actions>
            <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/resetemulatedmachine" rel="resetemulatedmachine"/>
        </actions>
        <name>golden_env_mixed_1</name>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/networks" rel="networks"/>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/permissions" rel="permissions"/>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/glustervolumes" rel="glustervolumes"/>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/glusterhooks" rel="glusterhooks"/>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/affinitygroups" rel="affinitygroups"/>
        <link href="/api/clusters/2d5db03a-7a36-490b-84b6-a0722411e588/cpuprofiles" rel="cpuprofiles"/>
        <cpu id="IBM POWER 8">
            <architecture>PPC64</architecture>
        </cpu>
        <data_center href="/api/datacenters/f87e6f1e-f32d-4607-b8ef-2ccc405e1c2a" id="f87e6f1e-f32d-4607-b8ef-2ccc405e1c2a"/>
        <memory_policy>
            <overcommit percent="200"/>
            <transparent_hugepages>
                <enabled>true</enabled>
            </transparent_hugepages>
        </memory_policy>
        <scheduling_policy href="/api/schedulingpolicies/b4ed2332-a7ac-4d5f-9596-99a439cb2812" id="b4ed2332-a7ac-4d5f-9596-99a439cb2812">
            <name>none</name>
            <policy>none</policy>
        </scheduling_policy>
        <version major="3" minor="6"/>
        <error_handling>
            <on_error>migrate</on_error>
        </error_handling>
        <virt_service>true</virt_service>
        <gluster_service>false</gluster_service>
        <threads_as_cores>false</threads_as_cores>
        <tunnel_migration>false</tunnel_migration>
        <trusted_service>false</trusted_service>
        <ha_reservation>false</ha_reservation>
        <optional_reason>false</optional_reason>
        <maintenance_reason_required>false</maintenance_reason_required>
        <ballooning_enabled>false</ballooning_enabled>
        <ksm>
            <enabled>false</enabled>
            <merge_across_nodes>true</merge_across_nodes>
        </ksm>
        <required_rng_sources/>
        <fencing_policy>
            <enabled>true</enabled>
            <skip_if_sd_active>
                <enabled>false</enabled>
            </skip_if_sd_active>
            <skip_if_connectivity_broken>
                <enabled>false</enabled>
                <threshold>50</threshold>
            </skip_if_connectivity_broken>
        </fencing_policy>
        <migration>
            <auto_converge>inherit</auto_converge>
            <compressed>inherit</compressed>
        </migration>
    </cluster>
    <template id="e22d3cbf-43d1-4341-a3dc-e5ac0cebd26d"/>
</vmpool>
Comment 1 Israel Pinto 2015-12-15 05:15 EST
Created attachment 1105946 [details]
run_log_art
Comment 2 Israel Pinto 2015-12-15 05:16 EST
Created attachment 1105947 [details]
engine_log
Comment 3 Israel Pinto 2015-12-15 05:17 EST
Created attachment 1105948 [details]
hosts_logs
Comment 4 Red Hat Bugzilla Rules Engine 2015-12-15 07:11:43 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 5 Sandro Bonazzola 2015-12-23 08:42:37 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 6 Ilanit Stein 2015-12-28 05:03:52 EST
Verified on rhevm 3.6.1-2

Updated via REST API vmpool in a cluster with ppc64le hosts size parameter from 2 to 3 successfully.
Comment 7 Ilanit Stein 2015-12-28 05:06:13 EST
Correction to comment 6: 
Verified on rhevm 3.6.2-2

Note You need to log in before you can comment on or make changes to this bug.